> For the complete documentation index, see [llms.txt](https://docs.welltested.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.welltested.ai/v1/welltested-ai/faqs/code-privacy.md).

# Code Privacy

### What parts of my code are collected?

We only analyze code and context required to generate unit test cases, i.e. the classes marked for testing and their dependencies. ‍We also save the generated tests and the updates made by you in the tests.

### Is my code used for training?

If you're a startup or enterprise customer, your data is fully private and we don't use it to improve our models.&#x20;

For individual users, we use the generated test data to enhance our public models and improve the tests quality for all users.

### I accidentally used my individual account for my work project. What can I do?

Don't stress, in most cases we run scrutiny before using collected code for training so nothing sensitive will be likely compromised. Also, you can request deletion of your existing data for any reason regardless of your plan. No questions asked! Please reach us on <teams@welltested.ai>.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.welltested.ai/v1/welltested-ai/faqs/code-privacy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
